org.jboss.resteasy.client.core

## Class ClientInterceptorRepositoryImpl

- java.lang.Object
- - org.jboss.resteasy.client.core.ClientInterceptorRepositoryImpl

- All Implemented Interfaces:
    ClientInterceptorRepository
  Direct Known Subclasses:
    ClientInvoker, ClientRequest

      public class ClientInterceptorRepositoryImpl
      extends Object
      implements ClientInterceptorRepository

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientInterceptorRepositoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyClientInterceptorsTo(ClientInterceptorRepositoryImpl copyTo)`
    `LinkedList<ClientExecutionInterceptor>` | `getExecutionInterceptorList()`
    `protected ClientExecutionInterceptor[]` | `getExecutionInterceptors()`
    `protected <T> LinkedList<T>` | `getInterceptors(Class<T> clazz)`
    `protected LinkedList` | `getInterceptors(org.jboss.resteasy.client.core.ClientInterceptorRepositoryImpl.InterceptorType interceptorType)`
    `LinkedList<ReaderInterceptor>` | `getReaderInterceptorList()`
    `protected ReaderInterceptor[]` | `getReaderInterceptors()`
    `LinkedList<WriterInterceptor>` | `getWriterInterceptorList()`
    `protected WriterInterceptor[]` | `getWriterInterceptors()`
    `void` | `prefixClientInterceptorsTo(ClientInterceptorRepositoryImpl copyTo)`
    `void` | `registerInterceptor(Object interceptor)`
    `protected void` | `setExecutionInterceptors(ClientExecutionInterceptor[] executionInterceptors)`
    `protected void` | `setExecutionInterceptors(Collection<ClientExecutionInterceptor> executionInterceptorList)`
    `protected void` | `setReaderInterceptors(ReaderInterceptor[] readerInterceptors)`
    `protected void` | `setWriterInterceptors(WriterInterceptor[] writerInterceptors)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientInterceptorRepositoryImpl

          public ClientInterceptorRepositoryImpl()

  - ### Method Detail

    - #### getReaderInterceptors

          protected ReaderInterceptor[] getReaderInterceptors()

    - #### getWriterInterceptors

          protected WriterInterceptor[] getWriterInterceptors()

    - #### getExecutionInterceptors

          protected ClientExecutionInterceptor[] getExecutionInterceptors()

    - #### setReaderInterceptors

          protected void setReaderInterceptors(ReaderInterceptor[] readerInterceptors)

    - #### setWriterInterceptors

          protected void setWriterInterceptors(WriterInterceptor[] writerInterceptors)

    - #### setExecutionInterceptors

          protected void setExecutionInterceptors(ClientExecutionInterceptor[] executionInterceptors)

    - #### setExecutionInterceptors

          protected void setExecutionInterceptors(Collection<ClientExecutionInterceptor> executionInterceptorList)

    - #### getReaderInterceptorList

          public LinkedList<ReaderInterceptor> getReaderInterceptorList()

      Specified by:
        `getReaderInterceptorList` in interface `ClientInterceptorRepository`

    - #### getWriterInterceptorList

          public LinkedList<WriterInterceptor> getWriterInterceptorList()

      Specified by:
        `getWriterInterceptorList` in interface `ClientInterceptorRepository`

    - #### getExecutionInterceptorList

          public LinkedList<ClientExecutionInterceptor> getExecutionInterceptorList()

      Specified by:
        `getExecutionInterceptorList` in interface `ClientInterceptorRepository`

    - #### getInterceptors

          protected <T> LinkedList<T> getInterceptors(Class<T> clazz)

    - #### getInterceptors

          protected LinkedList getInterceptors(org.jboss.resteasy.client.core.ClientInterceptorRepositoryImpl.InterceptorType interceptorType)

    - #### copyClientInterceptorsTo

          public void copyClientInterceptorsTo(ClientInterceptorRepositoryImpl copyTo)

    - #### prefixClientInterceptorsTo

          public void prefixClientInterceptorsTo(ClientInterceptorRepositoryImpl copyTo)

    - #### registerInterceptor

          public void registerInterceptor(Object interceptor)

      Specified by:
        `registerInterceptor` in interface `ClientInterceptorRepository`

Copyright © 2014. All Rights Reserved.